/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. 


#define END_CHAR -128
#define ID_LEN 10 // Also change sprintf format str in new_sk_node
#define MAX_SCRIPT_SIZE 200

typedef struct sc_stroke_node sc_stroke_node_t;
typedef struct sc_sk_node sc_sk_node_t;

// Stroke node
struct sc_stroke_node {
    int no_of_pts;
    signed char dx_dy[200];
    sc_stroke_node_t *next;
};

// Sketch node
struct sc_sk_node {
    char id[ID_LEN + 1];
    short int x,y,width,stipple;
    unsigned int color;
    sc_stroke_node_t *stroke_head;
    sc_stroke_node_t *stroke_tail;
    sc_sk_node_t *next;
    sc_sk_node_t *prev;
};
